.hamburgerMenu {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  width: 30px;
  height: 25px;
  cursor: pointer;
  outline: none;
  background: transparent;
  border: none;
  padding: 0;
}

.bar {
  width: 100%;
  height: 4px;
  background-color: var(--menu-text-color, #000);
  /* fallback to black */
  transition: all 0.3s ease;
  border-radius: 2px;
}

/* Active state */
.active .bar:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.active .bar:nth-child(2) {
  opacity: 0;
}

.active .bar:nth-child(3) {
  transform: rotate(-45deg) translate(6px, -6px);
}

.site-header {
  transition: top 0.3s ease-in-out;
}

.site-header.nav-up {
  top: -120px; /* adjust based on header height */
}

.site-header.nav-down {
  top: 70px;
}

header {
  position: fixed;
  left: 0;
  top: 70px;
  width: 100%;
  z-index: 999;
}

.siteHeader.header {
  border-radius: 10px;
  background: rgba(255, 255, 255, 0.5);
  padding: 0 20px;
  position: relative;
}
.siteHeader.header:after {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  backdrop-filter: blur(12.5px);
  -webkit-backdrop-filter: blur(12.5px);
  content: '';
  display: block;
  background-color: transparent;
  z-index: -1;
  border-radius: 10px;
  overflow: hidden;
}

.header__main-nav-menu .hs-menu-item .menu__arrow {
  transition: all 0.3s;
}

.header__main-nav-menu > .hs-menu-item {
  padding: 21px;
}

ul.menu.menu--vertical.menu--mobile.site-header__menu
  li.menu__menu-item--triggered
  > div
  > a
  > svg,
ul.menu.menu--vertical.menu--mobile.site-header__menu
  li[data-menuitem-depth='1']:hover
  > div
  > a
  > svg {
  transform: rotate(180deg);
}
ul.menu.menu--vertical.menu--mobile.site-header__menu
  li[data-menuitem-depth='2']:hover
  > div
  > a
  > svg {
  transform: rotate(180deg);
}

.header__menu .hs-menu-item a span,
.header__main-nav-menu .hs-menu-item svg,
.menu--mobile .hs-menu-item svg {
  transition: all 0.3s;
}

.header__menu .hs-menu-item a {
  padding: 0;
}

.header__button-container .icon-svg:after {
  content: '';
  background-image: url('https://22466695.fs1.hubspotusercontent-na1.net/hubfs/22466695/Theme_2025/images/account_box.svg');
  background-position: center top;
  background-repeat: repeat;
  background-size: 100% 100%;
  width: 15px;
  height: 15px;
  display: block;
}

.header__button-container .header__button:nth-child(2) .icon-svg:after {
  background-image: url('https://22466695.fs1.hubspotusercontent-na1.net/hubfs/22466695/Theme_2025/images/chat-2.svg');
  width: 16px;
  height: 16px;
}

.header__button-container .icon-svg {
  padding: 5px 7px !important;
}

.header__button-container .icon-svg svg {
  display: none;
}

.header__menu .hs-menu-item .menu__menu-item-link-container > a > svg {
  margin-left: 10px;
  vertical-align: 2px;
}

@media screen and (max-width: 1400px) and (min-width: 1200px) {
  .header__main-nav-menu > .hs-menu-item {
    padding: 20px 5px !important;
  }
  .header__menu .hs-menu-item a {
    font-size: 14px !important;
  }
}
@media screen and (max-width: 1199px) {
  header {
    top: 20px;
  }
  .site-header.nav-down {
    top: 20px;
  }
  .siteHeader.header {
    padding: 20px;
  }
  .hs-menu-item .menu__menu-item-link-container a {
    padding: 0;
    font-weight: 500;
    font-size: 16px;
    line-height: 142%;
    color: #191919;
    flex-grow: auto;
    display: inline-block;
  }
  .hs-menu-item > .menu__menu-item-link-container span {
    transition: all 0.3s;
  }
  .hs-menu-item:hover > .menu__menu-item-link-container li a,
  .hs-menu-item:hover > .menu__menu-item-link-container span,
  .hs-menu-item:active > .menu__menu-item-link-container a,
  .hs-menu-item:active > .menu__menu-item-link-container span,
  .hs-menu-item:focus > .menu__menu-item-link-container a,
  .hs-menu-item:focus > .menu__menu-item-link-container span {
    color: #b3b3b3;
  }
  .hs-menu-item .menu__menu-item-link-container {
    display: block;
    padding: 10px 0;
  }
  .hs-menu-item .menu__menu-item-link-container .menu__arrow {
    padding-inline-end: 0;
    margin-left: 15px;
    display: inline-block;
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    margin: 0;
    top: 0;
    display: flex;
    align-items: center;
    justify-content: flex-end;
  }
  .menu__menu-item-link-container > a svg {
    margin-left: 10px;
  }
  .menu--mobile .hs-menu-item > .menu__menu-item-link-container {
    border-bottom: 1px solid #191919;
    padding: 3px 0;
  }
  .menu--mobile .menu__submenu .menu__menu-item-link-container {
    border-bottom: 0 !important;
  }
  .menu--mobile
    .hs-menu-item.menu--has-children
    ul
    .hs-menu-item.menu--has-children
    > .menu__menu-item-link-container {
    border-top: 1px solid #191919;
  }
  .menu__menu-item-link-container:hover {
    border-radius: 0;
  }
  ul.menu__submenu {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.3s;
  }
  .menu__menu-item--triggered > ul.menu__submenu {
    max-height: none !important;
  }
  .menu--mobile .hs-menu-item {
    position: relative !important;
  }
  .siteHeader .header__button-container {
    display: none;
  }
  .menu--has-children .menu__menu-item-link-container {
    position: relative;
  }
} /*-------- 767 ends here ----------*/

